using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Customer
{
    /// <summary>
    /// 客户学历表
    /// </summary>
    [SugarTable("Crm_VisaCustomerSchool")]
    public class Crm_VisaCustomerSchool:EntityBase
    {
        /// <summary>
        /// 客户表ID
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DcId { get; set; }
        /// <summary>
        /// 学校名称和学历
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType = "varchar(100)")]
        public string School { get; set; }
        /// <summary>
        /// 学校地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(300)")]
        public string Address { get; set; }
        /// <summary>
        /// 指导老师
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string Teacher { get; set; }
        /// <summary>
        /// 学历
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Education { get; set; }

        /// <summary>
        /// 所学课程或专业名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Subject { get; set; }
        /// <summary>
        /// 就读起始日
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime StudyStart { get; set; }
        /// <summary>
        /// 就读结束日
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime StudyEnd { get; set; }
    }
}
